package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.Armor;
import org.project.item.weapons.Weapon;

public class Wizard extends Player{

    public Wizard(String name, int hp, int mp, Weapon weapon, Armor armor){
        super(name, hp, mp, weapon, armor, 500,30);
    }

    @Override
    public void specialAbility(Entity target) {
        System.out.println("Casting spell...");
        target.takeDamage(30);
        this.heal(10);
    }
}
